Bug 1124886 - [Doc Bug Fix] Jdbc driver service name when more driver classes in META-INF/services/java.sql.Driver
Summary: [Doc Bug Fix] Jdbc driver service name when more driver classes in META-INF/s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: EAP 6.4.0
Assignee: Russell Dickenson
QA Contact: Martin Simka
URL:
Whiteboard:
Depends On:
Blocks: 1184754
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:46 UTC by Martin Simka
Modified: 2015-04-17 06:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 25-07-2014 15:09:11 Topic ID: 4805-634537 [Specified]
Last Closed: 2015-04-17 06:08:33 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Martin Simka 2014-07-30 14:46:10 UTC
Title: Create a Non-XA Datasource with the Management Interfaces
Title: Create an XA Datasource with the Management Interfaces

*Describe the issue:
Jdbc driver can contain more driver classes in META-INF/services/java.sql.Driver. e.g. Mysql 5.1.31 does it. Examples in doc:

data-source add --name=DATASOURCE_NAME --jndi-name=JNDI_NAME --driver-name=DRIVER_NAME  --connection-url=CONNECTION_URL 
and for xa datasource
xa-data-source add --name=XA_DATASOURCE_NAME --jndi-name=JNDI_NAME --driver-name=DRIVER_NAME --xa-datasource-class=XA_DATASOURCE_CLASS

when META-INF/services/java.sql.Driver contains only one driver class then DRIVER_NAME is only jar name but if there are more classes DRIVER_NAME is in format jarName + driverClassName + "_" + majorVersion +"_" + minorVersion

in mysql case it is:
mysql-connector-java-5.1.31-bin.jarcom.mysql.jdbc.Driver_5_1

*Suggestions for improvement:
Add a note box with information above. 

*Additional information:
This applies for situation where driver is deployed and not installed as core module. I'll add details for driver installed as module later. 
Please refer to https://bugzilla.redhat.com/show_bug.cgi?id=1097166 for more details

Comment 1 Martin Simka 2014-07-31 10:53:39 UTC
Documentation already contains information how to install driver with more classes in META-INF/services/java.sql.Driver as core module. It's in section 6.2.2. Install a JDBC Driver as a Core Module. Please update only sections related to deployed jdbc driver.

Comment 7 Martin Simka 2015-03-17 15:15:13 UTC
verified 
Administration and Configuration Guide Revision 6.4.0-16


Note You need to log in before you can comment on or make changes to this bug.